This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 737963 - Incorrect screen resolution and rendering of desktop content after waking up from sleep
Incorrect screen resolution and rendering of desktop content after waking up ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-13 09:45 EDT by mvanek
Modified: 2013-03-13 00:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 08:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mvanek 2011-09-13 09:45:22 EDT
Description of problem:
After the screen falls asleep when locked, it wakes with incorrect resolution.
similar to https://bugzilla.redhat.com/show_bug.cgi?id=693406

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2011-12-13 10:24:24 EST
Can you post the output of

 xrandr -q --current

both before and after the problem happens ?
Comment 2 mvanek 2011-12-15 06:05:42 EST
Before problem happens:
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1600x900       60.0 +   50.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      59.9*+
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1280x800       74.9     59.8  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)
Comment 3 mvanek 2011-12-15 06:06:09 EST
After problem happens:
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1600x900       60.0 +   50.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      59.9*+
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1280x800       74.9     59.8  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)
Comment 4 mvanek 2011-12-15 06:33:37 EST
As these files appear to be identical, I'll try to describe the problem more:

After unlocking the locked screen, I see only a central portion of original desktop, which otherwise appears to be rendered in the original resolution.
Just the borders are missing completely (top, left, right, bottom), so the Fedora menu (System settings) isn't accesible with mouse.

Usually I have to use the search functionality accessible through the window key to type "Display".
In display settings I see the resolution as 1650 x 1080, so I cannot switch from the bad resolution/rendering to 1650 x 1080.
I have to switch to another resolution, for example 1440 x 900, and then in the dialogue "Does the display look ok" I confirm the option "Restore Previous Configuration".

This way I have to re-set my display most of the days.

My hardware is ThinkPad T510 and an LCD Samsung SyncMaster B2240.
I have the laptop display switched off, and 1650 x 1080 resolution for the Samsung LCD.
Comment 5 mvanek 2012-06-27 08:48:00 EDT
Not reporting any other Fedora bugs again cause its a waste of my time.

Note You need to log in before you can comment on or make changes to this bug.